> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Program Details



## OpenAPI

````yaml get /products/{id}
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /products/{id}:
    get:
      summary: Get Program Details
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: member_id
          in: query
          schema:
            type: string
        - name: member_email
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Product details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                  is_published:
                    type: boolean
                  position:
                    type: integer
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
                  progression:
                    type: object
                    description: >-
                      The progression-related elements will only be displayed if
                      you specify a member_id or member_email
                    properties:
                      total_steps:
                        type: integer
                        description: These are steps that are NOT optional
                      total_optional_steps:
                        type: integer
                      completed_steps:
                        type: integer
                        description: These are steps that are NOT optional
                      completed_optional_steps:
                        type: integer
                      progression_rate:
                        type: number
                        description: Does not factor in optional steps.
                      progression_rate_including_optional_steps:
                        type: number
                        description: Includes optional steps
                      time_spent:
                        type: string
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````